CreateUserInputs := proc(DIR,JOB,imap,x0,xdim,p0,kdim,tfinal,solution_only,NextGen,R0_only)

local fd, i, n, m;

begin

// Write initial conditions and parameter values to user_inputs.m
fd:=fopen("user_inputs.m",Text, Write); 
fprint(Unquoted, fd, "function [DIR,JOB,imap,x0,p0,tfinal,solution_only,NextGen,R0_only]=user_inputs \n"); 

fprint(Unquoted, fd, "DIR = '",DIR,"';");
fprint(Unquoted, fd, "JOB = '",JOB,"';");

fprint(Unquoted, fd, ""); 
fprint(Unquoted, fd,"imap = ",imap,";");
fprint(Unquoted, fd, "solution_only = ",solution_only,";");

fprint(Unquoted, fd, ""); 
for i from 1 to xdim do  
  fprint(Unquoted, fd, "x0(",i,",1) = ",x0[i],";"); 
end_for; 

fprint(Unquoted, fd, ""); 
for i from 1 to kdim do  
  fprint(Unquoted, fd, "p0(",i,",1) = ",p0[i],";"); 
end_for; 

fprint(Unquoted, fd, ""); 
fprint(Unquoted, fd, "tfinal = ",tfinal,";"); 

n := linalg::matdim(NextGen)[1];

fprint(Unquoted, fd, "");
for i from 1 to n do
   fprint(Unquoted, fd, "NextGen(",i,",1) = ",NextGen[i],";");
end_for:

fprint(Unquoted, fd, "\nR0_only = ",R0_only,";");

fprint(NoNL, fd, "\n end"); 

fclose(fd);

end_proc;
